#ifndef ULIB_STRING_STRINGBUFFER_H_
#define ULIB_STRING_STRINGBUFFER_H_

typedef struct {
  size_t count;
  size_t capacity;
  char *data;
} StringBuffer;

void stringbuffer_init(StringBuffer *sb);
void stringbuffer_free(StringBuffer *sb);
void stringbuffer_appendchar(StringBuffer *sb, char c);
void stringbuffer_appendcstr(StringBuffer *sb, char *cstr);

#endif // ULIB_STRING_STRINGBUFFER_H_
